---
lang: en
title: 'API docs: repository.booleantype.serialize'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.booleantype.serialize.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [BooleanType](./repository.booleantype.md) &gt; [serialize](./repository.booleantype.serialize.md)

## BooleanType.serialize() method

<b>Signature:</b>

```typescript
serialize(value: boolean | null | undefined): boolean | null | undefined;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  value | <code>boolean &#124; null &#124; undefined</code> |  |

<b>Returns:</b>

`boolean | null | undefined`


